Subject: Re: What's cooking in git.git (May 2024, #12; Tue, 28)

From: Junio C Hamano <[email-masked]>
Date: Wed, 29 May 2024 07:24:53 -0700

Patrick Steinhardt <[email-masked]> writes:

> On Tue, May 28, 2024 at 03:45:05PM -0700, Junio C Hamano wrote:
>> * ps/undecided-is-not-necessarily-sha1 (2024-05-06) 15 commits
>>   (merged to 'next' on 2024-05-08 at 9f8e894685)
>>  + repository: stop setting SHA1 as the default object hash
>>  + oss-fuzz/commit-graph: set up hash algorithm
>>  + builtin/shortlog: don't set up revisions without repo
>>  + builtin/diff: explicitly set hash algo when there is no repo
>>  + builtin/bundle: abort "verify" early when there is no repository
>>  + builtin/blame: don't access potentially unitialized `the_hash_algo`
>>  + builtin/rev-parse: allow shortening to more than 40 hex characters
>>  + remote-curl: fix parsing of detached SHA256 heads
>>  + attr: fix BUG() when parsing attrs outside of repo
>>  + attr: don't recompute default attribute source
>>  + parse-options-cb: only abbreviate hashes when hash algo is known
>>  + path: move `validate_headref()` to its only user
>>  + path: harden validation of HEAD with non-standard hashes
>>  + Merge branch 'ps/the-index-is-no-more' into ps/undecided-is-not-necessarily-sha1
>>  + Merge branch 'jc/no-default-attr-tree-in-bare' into ps/undecided-is-not-necessarily-sha1
>>  (this branch is used by jc/undecided-is-not-necessarily-sha1-fix.)
>> 
>>  Before discovering the repository details, We used to assume SHA-1
>>  as the "default" hash function, which has been corrected. Hopefully
>>  this will smoke out codepaths that rely on such an unwarranted
>>  assumptions.
>> 
>>  Will cook in 'next', as it has known breakage.
>>  source: <[email-masked]>
>
> The follow-up patches in jc/undecided-is-not-necessarily-sha1-fix have
> landed by now, so there are no more known breakages at the current
> point, right? Do we want to merge this down now, or is there something
> you'd like me to do in this context?

I think "known breakage" is gone, but I had this on back-burner as
I wanted to forcus on cleaning up the 2.45.1 mess first X-<.

Let's unblock the topic by lifting "Will cook" mark.  Thanks.